# Interface RelationshipFactory

Creates new instances of data/_Relationship!Relationship.

interface RelationshipFactory {
create(properties: RelationshipProperties): Relationship;
}

#### Implemented by

- DefaultRelationshipFactory

#####
Index

### Methods

create

##
Methods

### create

- create(properties): Relationship

- Creates a data/_Relationship!Relationship from the given properties.

  #### Parameters

  - properties: RelationshipProperties

    The relationship properties.

  #### Returns Relationship